###########################################################
#
# Copyright (C) 2006-2014 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#
###########################################################
include $(TOPDIR)/rules.mk

PKG_NAME:=libbluez-compact

PKG_VERSION:=0

PKG_RELEASE:=1

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).$(PKG_RELEASE).tar.gz

PKG_SOURCE_URL:=file://$(PWD)/../packages/release/

TARGET_CFLAGS += -I$(STAGING_DIR)/usr/include/glib-2.0
TARGET_LDFLAGS += -L$(STAGING_DIR)/usr/lib
TARGET_LDFLAGS += -lglib-2.0

include $(INCLUDE_DIR)/package.mk

define Package/bluez-compact
 SECTION:=libs
 CATEGORY:=Venus board support
 TITLE:=compact version of bluez library
 DEPENDS:=+glib2
endef

define Package/bluez-compact/description
bluetooth handler lib for openWRT
endef

define Package/bluez-compact/install
	$(INSTALL_DIR) $(1)/usr/lib/
	$(CP) -fr $(PKG_BUILD_DIR)/$(PKG_NAME).* $(1)/usr/lib
	$(CP) -fr $(PKG_BUILD_DIR)/$(PKG_NAME).* $(STAGING_DIR)/usr/lib/
	$(CP) $(PKG_BUILD_DIR)/inc/* $(STAGING_DIR)/usr/include
endef

$(eval $(call BuildPackage,bluez-compact))

